<?php

	

	if(key_exists('login', $_POST)) $login = strtoupper(trim($_POST["login"]));
	else $login = '';
	$register_error = '';
	if(!strstr($login, 'PESTO') && !strstr($login, 'BUCHTIK') && !strstr($login, 'PECH')) 
	{
    	if($login<>'')
    	{
    		$result = $dba->GetResult("SELECT * FROM mobile_users WHERE UCase(login)='".$login."'");
    		$check = mysql_num_rows($result);
    	}
    	else 
    	{
    		$check = 0;
    	}
    
    	if($check==0)
    	{
    		$mail = (fnCheckMail($_POST['mail'])) ? $_POST['mail'] : '';
    		//mail check
    		$mail_check = ($mail != '');
    		
    		if($mail_check)
    		{
    			$query = "SELECT * FROM mobile_users WHERE mail LIKE '$mail'";
    			$num = $dba->GetNums($query);
    			$mail_check = ($num == 0);
    		}
    		
    		$special_chars_check = false;
    		$login_check = eregi_replace("[a-zA-Z0-9_]", "", $_POST["login"]);
    		if($login_check<>'') 
    		{
    			$register_error .= 'V prihlasovaciom mene ste použili nepovolené znaky!<br />';
    			$module = 'register_form';
    		}
    		if(!$login_check) $special_chars_check = true;
    		$login = $_POST["login"];
    		$pass = $_POST["pass1"];
    		if($login<>'' && $pass<>'' && $mail<>'' && $_POST["pass1"]==$_POST["pass2"] && $special_chars_check && $_POST['moj_mobil']<>0 && $mail_check)
    		{
    			$avatar = '';
    			$file_tmp = $_FILES['avatar']['tmp_name'];
    			$file = $_FILES['avatar']['name'];
    			if(file_exists($file_tmp))
    			{
    				list($width, $height, $type, $attr) = getimagesize($file_tmp);
    				$type = $_FILES['avatar']['type'];
    				$size = round(filesize($file_tmp)/1024,2);
    				$image_types = array('image/jpeg', 'image/pjpg', 'image/pjpeg');
    				if($width>0 && $width<=100 && $height>0 && $height<=100  && in_array($type, $image_types) && $size<=15)
    				{
    					$avatar = substr(md5($_FILES['avatar']['name'].time()), 0, 12).'.jpg';
    					$uploaddir = "/home/clients/peterpech.com/peterpech.com/4mobile/images/users/";
    					$uploadfile = $uploaddir.$avatar;
    					move_uploaded_file($file_tmp, $uploadfile);
    				}
    			}
    			
    			$login = htmlspecialchars($login);
    			$pass = htmlspecialchars($pass);
    			$pass = md5($pass);
    			$pass = md5($pass);
    			$mesto = addslashes(htmlspecialchars($_POST['mesto']));
    			$icq = $_POST['icq'];
    			$icq = str_replace('-', '', $icq);
    			if($icq<10000000 || $icq >999999999) $icq = '';
    			$msn = $_POST['msn'];
    			if($msn=='@') $msn = '';
    			$msn = addslashes(htmlspecialchars($msn));
    			if(key_exists('mail', $_POST)) $mail = str_replace(' ', '', addslashes(htmlspecialchars($_POST["mail"]))); else $mail = '';
    			if(key_exists('mlist', $_POST)) $mlist = $_POST["mlist"]; else $mlist = 0;
    			if($mail=='') $mlist = 0;
    			$gender = $_POST["gender"];
    			$datum = date("d.m.Y H:i:s");
    			$time = time()-1000000000;
    
    			$query="INSERT INTO mobile_users (login, pass, prihlaseni, mail, news, gender, last_login, last_login_time, last_kredit_time, moj_mobil, mesto, icq, msn, avatar, kredits, active) VALUES ('".$login."','".$pass."','1','".$mail."','".$mlist."','".$gender."','".$datum."','".$time."','".$time."','".addslashes($_POST['moj_mobil'])."', '$mesto', '$icq', '$msn', '$avatar', '1', 'n')";
    			$dba->ExecuteQuery($query);
    			$user_id = $dba->Max_ID('mobile_users');
    			
    			$subject = "Registrácia na 4mobile.sk";
	           	$sprava = 
	           	'Vitajte na 4mobile.sk! <br />
	           	<br />
	           	Ďakujeme za Vašu regitráciu na 4mobile.sk. </br></br>
	           	PRE AKTIVÁCIU ÚČTU SI POZORNE PREČÍTAJTE TENTO MAIL A KLIKNITE NA NIŽŠIE UVEDENÚ LINKU!<br/><br/>
	           	Tento mail je generovaný automaticky, prosím neodpovedajte naň.<br />
	           	<br />
	           	Údaje o účte:<br />
	           	<br />
	           	login: '.$login.'<br />
	           	heslo: '.$_POST['pass1'].'<br />
	           	<br />
	           	Váš účet ešte nie je aktívny, prihlásiť sa budete môcť až po aktivácii. Pre aktiváciu kliknite na nižšie uvedený odkaz <br />
	           	(v prípade, že na odkaz nemôžete kliknúť, skopírujte linku do panela s adresou vo Vašeho prehliadači a stlačte Enter):<br />
	           	<br />'."AKTIVAČNÁ LINKA NA KTORÚ MUSÍTE ÍSŤ
	           	<a href='http://4mobile.sk/index.php?module=activate&uid=$user_id&u=$pass'>http://4mobile.sk/index.php?module=activate&uid=$user_id&u=$pass</a> <br />
	           	<br />
	           	Pokiaľ účet nebude do 7 dní aktivovaný, bude automaticky zrušený.<br/></br>
	           	Ďakujeme za registráciu a prajeme príjemné využívanie našej služby.<br />
	           	<br />
	           	[4mobile.sk team]<br />
	           	http://4mobile.sk
	           	";
	        
	           	$headers = "From:4mobile.sk <registracia@4mobile.sk>\n";
	           	$headers .= "Content-Type: text/html; charset=iso-8859-2\n";
	           	$headers .= "Return-Path: 4mobile.sk <registracia@4mobile.sk>";
	        		
	    	   	mail($mail, $subject, $sprava, $headers);
    			
//    			session_register("mobile_logged_in");
//    			$_SESSION["mobile_logged_in"] = true;
//    			session_register("log");
//    			$_SESSION["log"] = $login;
//    			session_register("my_id");
//    			$_SESSION["my_id"]=$dba->Max_ID('mobile_users');
//    			$_SESSION['avatar'] = $avatar;
    //			header('location: index.php');
    			$register_error.='Boli ste úspešne zaregistrovaný. Na Vami zadanú emailovú adresu Vám bude doručený email s postupom ako konto aktivovať. V prípade problémov s registráciou kontaktujte administrátora na ICQ: 359-545-257';
    			$module = 'register_confirm';
    		}
    		else 
    		{
    			if($mail == '')
	    		{
	    			$register_error .= 'Nezadali ste platnú emailovú adresu!<br />';
	    		}
	    		elseif(!$mail_check)
	    		{
	    			$register_error .= 'Vami zadaná emailová adresa je už použitá pre inú registráciu!<br />';
	    		}
	    		else 
	    		{
	    			$register_error .= 'Nezadali ste všetky potrebné údaje,<br> alebo nebola potvrdená správnosť hesla!<br>';
	    		}
    			$module = 'register_form';
    			if($_POST['moj_mobil']==0)
    			{
    				$register_error .= 'Nevybrali ste si Váš mobil!<br>';
    //				$hard_require_module = 'register_form';
    			}
    		}
    	}
    	else 
    	{
    		$register_error .= 'Zadané používateľské meno už existuje, vyberte si prosím iné!<br />';
    		$module = 'register_form';
    //		$hard_require_module = 'register_form';
    	}
	}
	else 
	{
	    $register_error .= 'Zadané používateľské meno je blokované, vyberte si prosím iné!<br />';
		$module = 'register_form';
	}
?>